com.mapinfo.midev.style

## Class OrientationMode

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.style.OrientationMode

All Implemented Interfaces:
  Serializable, Comparable

    public final class OrientationMode
    extends Enum

Orientation mode for start and end point styles of a `MarkerFixedPlacement` or `MarkerLineDirectionArrowPlacement`.

See Also:
  Serialized Form

### Field Summary

Fields
`static OrientationMode` `HORIZONTAL` Point styles are placed horizontally.
`static OrientationMode` `MATCH_SEGMENT` Point styles are rotated to match line segment rotation.

### Method Summary

All Methods Static Methods Concrete Methods
`static OrientationMode` `valueOf(String name)`
`static OrientationMode[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### HORIZONTAL

    public static final OrientationMode HORIZONTAL

Point styles are placed horizontally.

#### MATCH_SEGMENT

    public static final OrientationMode MATCH_SEGMENT

Point styles are rotated to match line segment rotation.

### Method Detail

#### values

    public static OrientationMode[] values()

#### valueOf

    public static OrientationMode valueOf(String name)